

Bug 1065 (http://bugme.osdl.org/show_bug.cgi?id=1065) points out that there
is a risk that UDF will accidentally mount a reiserfs partition, which would
prevent a successful boot.

Andries points out that probing is unreliable and that users/admins should
always specify the root filesystem type on the kernel boot command line with
"rootfstype=resierfs".

But nobody does that, so we should be trying reiserfs before UDF.



 fs/Makefile |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/Makefile~probe-udf-after-reiserfs fs/Makefile
--- 25/fs/Makefile~probe-udf-after-reiserfs	2003-08-09 13:11:03.000000000 -0700
+++ 25-akpm/fs/Makefile	2003-08-09 13:11:03.000000000 -0700
@@ -81,11 +81,11 @@ obj-$(CONFIG_JFFS2_FS)		+= jffs2/
 obj-$(CONFIG_AFFS_FS)		+= affs/
 obj-$(CONFIG_ROMFS_FS)		+= romfs/
 obj-$(CONFIG_QNX4FS_FS)		+= qnx4/
-obj-$(CONFIG_UDF_FS)		+= udf/
 obj-$(CONFIG_AUTOFS_FS)		+= autofs/
 obj-$(CONFIG_AUTOFS4_FS)	+= autofs4/
 obj-$(CONFIG_ADFS_FS)		+= adfs/
 obj-$(CONFIG_REISERFS_FS)	+= reiserfs/
+obj-$(CONFIG_UDF_FS)		+= udf/
 obj-$(CONFIG_SUN_OPENPROMFS)	+= openpromfs/
 obj-$(CONFIG_JFS_FS)		+= jfs/
 obj-$(CONFIG_XFS_FS)		+= xfs/

_
